﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using System.Collections;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!IsPostBack)
		{
			rgTest.DataSource = GenerateTestData();
			rgTest.DataBind();
		}
	}

	private DataTable GenerateTestData()
	{
		DataTable testData = new DataTable();

		testData.Columns.Add(new DataColumn("Column1"));
		testData.Columns.Add(new DataColumn("Column2"));
		testData.Columns.Add(new DataColumn("Column3"));
		testData.Columns.Add(new DataColumn("Column4"));
		testData.Columns.Add(new DataColumn("Column5"));

		for (int i = 0; i <= 10; i++)
			testData.Rows.Add(new object[] { "1", "2", "3", "4", "5" });

		return testData;
	}

	protected void rgTest_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
	{
		rgTest.DataSource = GenerateTestData();
	}
}




